IPTABLES-RESTORE(8)

NAZWA
iptables-restore — przywrócenie tabel IP

ip6tables-restore — przywrócenie tabel IPv6

SKŁADNIA
iptables-restore [-chntvV] [-w sekundy] [-M modprobe] [-T nazwa] [plik]

ip6tables-restore [-chntvV] [-w sekundy] [-M modprobe] [-T nazwa] [plik]

OPIS

iptables-restore i ip6tables-restore są używane, aby przywrócić tabele IP i IPv6 z danych podanych na standardowym wejściu lub z pliku. Aby odczytać dane z pliku, należy użyć odpowiedniego dla używanej powłoki przekierowania wejścia/wyjścia lub podać plik jako argument.

-c, --counters
    Przywraca wartości wszystkich pakietów i liczników bajtów.

-h, --help
    Wyświetla krótkie podsumowanie opcji programu.

-n, --noflush
    Nie opróżnia poprzedniej zawartości tabeli. Jeśli nie podano, oba polecania opróżnią (usuną) całą poprzednią zawartość odpowiedniej tabeli.

-t, --test
    Tylko przetwarza i tworzy zbiór reguł, ale go nie wykonuje.

-v, --verbose
    Wypisuje dodatkowe informacje, przydatne do debugowania, podczas przetwarzania zbioru reguł. Można podać kilkukrotnie aby zwiększyć ilość informacji.

-V, --version
    Wypisuje wersję programu.

-w, --wait [sekundy]
    Czeka na blokadę xtables. Aby uniknąć równoległego działania przez kilka kopii programu, podjęta zostanie próba uzyskania wyłącznej blokady przy uruchomieniu. Domyślnie program zakończy działanie, jeśli nie da się uzyskać blokady. Niniejsza opcja spowoduje czekanie przez program na uzyskanie wyłącznej blokady (przez nieograniczony czas lub przez liczbę sekund).

-M, --modprobe modprobe
    Podaje ścieżkę do programu modprobe(8). Domyślnie iptables-restore określi ścieżkę do tego programu na podstawie /proc/sys/kernel/modprobe.

-T, --table nazwa
    Przywraca tylko tabelę o danej nazwie, nawet jeśli strumień wejściowy zawiera także inne tabele.

USTERKI
Nieznane w wersji iptables-1.2.1

AUTORZY
Harald Welte <laforge@gnumonks.org> napisał iptables-restore na podstawie kodu Rusty'ego Russella.
Andras Kis-Szabo <kisza@sch.bme.hu> pomagał przy ip6tables-restore.

ZOBACZ TAKŻE
iptables-apply(8), iptables-save(8), iptables(8)

iptables-HOWTO, które zawiera więcej informacji na temat użycia iptables, NAT-HOWTO, które zawiera szczegóły na temat NAT, i netfilter-hacking-HOWTO, które zawiera szczegóły na temat ograniczeń.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.